<template>
	<view :style="colorStyle">
		<skeleton :show="showSkeleton" :isNodes="isNodes" ref="skeleton" loading="chiaroscuro" selector="skeleton"
			bgcolor="#FFF"></skeleton>
		<view class="product-con skeleton" :style="{visibility: showSkeleton ? 'hidden' : 'visible'}">
			<!-- #ifdef APP-PLUS -->
			<view class="navbar" :style="{ height: navH + 'rpx', opacity: opacity, paddingTop: sysHeight+'px' }">
				<!-- #endif -->
				<!-- #ifndef APP-PLUS -->
				<view class="navbar" :style="{ height: navH + 'rpx', opacity: opacity }">
					<!-- #endif -->
					<view class="navbarH" :style="'height:' + navH + 'rpx;'">
						<view class="navbarCon acea-row row-center-wrapper"
							:style="{ paddingRight: (navbarRight-20) + 'px' }">
							<view class="header acea-row row-center-wrapper">
								<view class="item" :class="navActive === index ? 'on' : ''"
									v-for="(item, index) in navList" :key="index" @tap="tap(index)">{{ item }}</view>
							</view>
						</view>
					</view>
				</view>
				<!-- <view class='iconfont icon-xiangzuo' :style="{top:navH/2+'rpx',opacity:(1-opacity)}" @tap='returns'></view> -->
				<!-- #ifdef APP-PLUS -->
				<view id="home" class="home acea-row row-center-wrapper" :class="[opacity>0.5?'on':'']"
					:style="{ top:(navH/2-28)+'rpx' ,marginTop:sysHeight + 'px'}">
					<!-- #endif -->
					<!-- #ifndef APP-PLUS -->
					<view id="home" class="home acea-row row-center-wrapper" :class="[opacity>0.5?'on':'']"
						:style="{ top: (sysHeight+7.5) +'px'}">
						<!-- #endif -->
						<view class="iconfont icon-fanhui2" @tap="returns"></view>
						<!-- #ifdef MP -->
						<view class="line"></view>
						<view class="iconfont icon-gengduo5" @click="moreNav"></view>
						<!-- #endif -->
					</view>

					<!-- #ifdef APP-PLUS -->
					<view id="home" class="home right acea-row row-center-wrapper" :class="[opacity>0.5?'on':'']"
						:style="{ top:(navH/2-28)+'rpx' ,marginTop:sysHeight + 'px'}">
						<!-- #endif -->
						<!-- #ifdef H5 -->
						<view id="home" class="home right acea-row row-center-wrapper" :class="[opacity>0.5?'on':'']"
							:style="{ top: homeTop +'rpx'}">
							<!-- #endif -->
							<!-- #ifdef APP-PLUS || H5 -->
							<view class="iconfont icon-gengduo2" @click="moreNav"></view>
						</view>
						<!-- #endif -->
						<homeList :navH="navH" :returnShow="returnShow" :currentPage="currentPage"
							:sysHeight="sysHeight">
						</homeList>
						<view>
							<scroll-view :scroll-top="scrollTop" scroll-y="true" scroll-with-animation="true"
								:style="'height:' + height + 'px;'" @scroll="scroll">
								<view id="past0">
                                    <!-- #ifdef APP-PLUS || MP -->
                                    <view class="" :style="'width:100%;' + 'height:'+sysHeight + 'px'"></view>
                                    <!-- #endif -->
									<productConSwiper class="skeleton-rect" :imgUrls="storeInfo.slider_image"
										:videoline="storeInfo.video_link" @videoPause="videoPause"></productConSwiper>
									<view class="discount acea-row row-center-wrapper" v-if="promotions_type==1">
										<view class="white acea-row row-bottom">
											<view class='timeItem acea-row row-middle skeleton-rect'>
												<countDown :is-day="false" :tip-text="'距活动结束仅剩'" :day-text="' '"
													:hour-text="' : '" :minute-text="' : '" :second-text="' '"
													:datatime="limitInfo.datatime"></countDown>
											</view>
											<view class="iconfont icon-jinru3" @click="seeDiscount"></view>
											<view class="left">
												<view><text class="iconfont icon-zhekoujia"></text>折扣价</view>
												<view class="money">¥
													<text
														class="num">{{limitInfo.discount_price.toString().split(".")[0]}}</text>
													<text
														v-if="limitInfo.discount_price.toString().split('.').length>1">.{{limitInfo.discount_price.toString().split(".")[1]}}</text>
												</view>
											</view>
											<view>=</view>
											<view class="y_money">
												<view>原价</view>
												<view class="num">{{limitInfo.price}}</view>
											</view>
											<view>x</view>
											<view class="right">
												<view>折扣</view>
												<view class="num">{{limitInfo.discount}}</view>
											</view>
										</view>
									</view>
									<view class="wrapper ons acea-row row-middle" :style="'background-image: url('+activityBg+');'" v-if="promotions_type !=1 && activityBg">
										<view class="share acea-row row-between row-bottom">
											<view class="money font-color skeleton-rect">
												￥
												<text class="num" v-text="storeInfo.price || 0"></text>
												<text v-if="storeInfo.spec_type">起</text>
												<text class="vip-money"
													v-if="storeInfo.vip_price && parseFloat(storeInfo.vip_price) > 0 && ((storeInfo.is_vip == 1 && storeInfo.price_type == 'member') || storeInfo.price_type == 'level')">￥{{ storeInfo.vip_price }}</text>
												<image
													v-if="storeInfo.vip_price && parseFloat(storeInfo.vip_price) > 0 && storeInfo.is_vip == 1 && storeInfo.price_type == 'member' && diyProduct.price_type.indexOf('1') != -1"
													src="../../static/images/vip.png"></image>
												<view class="icon"
													v-if="storeInfo.vip_price && parseFloat(storeInfo.vip_price) > 0 && storeInfo.price_type == 'level' && diyProduct.price_type.indexOf('2') != -1">
													<text
														class="iconfont icon-dengjitubiao"></text>{{storeInfo.level_name}}
												</view>
											</view>
										</view>
									</view>
									<view class="wrapper on">
												<view class="share acea-row row-between row-bottom" v-if="promotions_type !=1 && !activityBg">
													<view class="money font-color skeleton-rect">
														￥
														<text class="num" v-text="storeInfo.price || 0"></text>
														<text class="vip-money"
															v-if="(storeInfo.vp*1)>0">vp{{ storeInfo.vp }}</text>
														<text v-if="storeInfo.spec_type">起</text>
														<text class="vip-money"
															v-if="storeInfo.vip_price && parseFloat(storeInfo.vip_price) > 0 && ((storeInfo.is_vip == 1 && storeInfo.price_type == 'member') || storeInfo.price_type == 'level')">￥{{ storeInfo.vip_price }}</text>
														<image
															v-if="storeInfo.vip_price && parseFloat(storeInfo.vip_price) > 0 && storeInfo.is_vip == 1 && storeInfo.price_type == 'member' && diyProduct.price_type.indexOf('1') != -1"
															src="../../static/images/vip.png"></image>
														<view class="icon"
															v-if="storeInfo.vip_price && parseFloat(storeInfo.vip_price) > 0 && storeInfo.price_type == 'level' && diyProduct.price_type.indexOf('2') != -1">
															<text
																class="iconfont icon-dengjitubiao"></text>{{storeInfo.level_name}}
														</view>
													<!-- 	<view class="level acea-row row-middle" v-if="storeInfo.level_name && diyProduct.price_type.indexOf('2') != -1">
															<view class="vip-money">￥{{storeInfo.level_price}}</view>
															<view class="icon">
																<text class="iconfont icon-dengjitubiao"></text>{{storeInfo.level_name}}
															</view>
														</view> -->
													</view>
													<view class="iconfont icon-fenxiang skeleton-rect"
														@click="listenerActionSheet" v-if="base64Show && diyProduct.is_share">
													</view>
												</view>
												<view class="label acea-row skeleton-rect" v-if="storeInfo.is_presale_product && promotions_type !=1 && !activityBg">
													<view v-text="'原价:￥' + (storeInfo.ot_price || 0)"></view>
													<view
														v-text="'已预订:' + (storeInfo.fsales || 0) + (storeInfo.unit_name || '')"
														style="margin-left: 20rpx;"></view>
												</view>
												<view class="introduce acea-row row-between skeleton-rect">
													<view class='skeleton-rect' :class="(promotions_type ==1 || activityBg)?'infor':''" v-if="diyProduct.is_name">
														<span class='labelN'
															v-if="storeInfo.brand_name && storeInfo.brand_name.trim() && diyProduct.is_brand ">{{storeInfo.brand_name}}</span>
														<span>{{storeInfo.store_name}}</span>
													</view>
													<view class="iconfont icon-fenxiang skeleton-rect"
														@click="listenerActionSheet"
														v-if="base64Show && (activityBg || promotions_type ==1) && diyProduct.is_share"></view>
												</view>
												<view class="label acea-row skeleton-rect" v-if="storeInfo.is_presale_product && (promotions_type ==1 || activityBg)">
													<view v-text="'原价:￥' + (storeInfo.ot_price || 0)"></view>
													<view
														v-text="'已预订:' + (storeInfo.fsales || 0) + (storeInfo.unit_name || '')"
														style="margin-left: 20rpx;"></view>
												</view>
												<view class="presell_count" v-if="storeInfo.is_presale_product">
													<view class="acea-row row-middle">
														<view>预售时间：</view>
														<view class="presell_time">
															<view class='iconfont icon-shijian1'></view>
															{{storeInfo.presale_start_time}}
															<span class='area_line'>~</span>
															<view class='iconfont icon-shijian1'></view>
															{{storeInfo.presale_end_time}}
														</view>
													</view>
													<view>预售结束后{{ storeInfo.presale_day }}天内发货</view>
												</view>
												<view class="label acea-row row-middle skeleton-rect"
													v-if="!storeInfo.is_presale_product">
													<view class="item" v-text="'原价:￥' + (storeInfo.ot_price || 0)"
														v-if="diyProduct.is_ot_price"></view>
													<view class="item" :class="diyProduct.is_ot_price?'stock':''"
														v-text="'库存:' + (storeInfo.stock || 0) + (storeInfo.unit_name || '')"
														v-if="diyProduct.is_stock"></view>
													<view class="item"
														:class="diyProduct.is_ot_price && diyProduct.is_stock?'sales':''"
														v-text="'销量:' + (storeInfo.fsales || 0) + (storeInfo.unit_name || '')"
														v-if="diyProduct.is_sales"></view>
												</view>
												<view v-if="!is_money_level && storeInfo.vip_price && storeInfo.is_vip"
													class="svipCon acea-row row-between-wrapper skeleton-rect"
													style="margin-top: 20rpx;">
													<view class="">开通 SVIP会员 立省{{ diff }}元</view>
													<navigator url="/pages/annex/vip_paid/index">
														立即开通
														<text class="iconfont icon-jiantou"></text>
													</navigator>
												</view>
												<!-- <view class='coupon acea-row row-between-wrapper' v-if="storeInfo.give_integral > 0">
										<view class='hide line1 acea-row'>
											赠积分：
											<view class='activity'>赠送 {{storeInfo.give_integral}} 积分</view>
										</view>
									</view> -->
									</view>
									<view class="wrapper">
										<view v-if="couponList.length && diyProduct.is_coupon"
											class="coupon acea-row row-between-wrapper skeleton-rect" @click="couponTap"
											style="margin-top: 0rpx;">
											<view class="hide line1 acea-row">
												优惠券：
												<template v-for="(item, index) in couponList">
													<view v-if="index < 2" class="activity" :key="index">
														满{{ item.use_min_price }}{{item.coupon_type==1?'减'+item.coupon_price:'打'}}<text
															v-if="item.coupon_type==2">{{parseFloat(item.coupon_price)/10}}折</text>
													</view>
												</template>
											</view>
											<view class="iconfont icon-jiantou"></view>
										</view>
										<view class="coupon acea-row row-between-wrapper"
											v-if="activity.length && diyProduct.is_activity">
											<view class="line1 acea-row">
												<text>活动：</text>
												<view class="activityInfo skeleton-rect"
													v-for="(item, index) in activity" :key="index"
													@click="goActivity(item)">
													<view v-if="item.type === '1'"
														:class="index == 0 ? 'activity_pin' : '' || index == 1 ? 'activity_miao' : '' || index == 2 ? 'activity_kan' : ''">
														<text class="iconfonts iconfont icon-pintuan"></text>
														<text class="activity_title">参与秒杀</text>
													</view>
													<view
														:class="index == 0 ? 'activity_pin' : '' || index == 1 ? 'activity_miao' : '' || index == 2 ? 'activity_kan' : ''"
														v-if="item.type === '2'">
														<text class="iconfonts iconfont icon-shenhezhong"></text>
														<text class="activity_title">参与砍价</text>
													</view>
													<view
														:class="index == 0 ? 'activity_pin' : '' || index == 1 ? 'activity_miao' : '' || index == 2 ? 'activity_kan' : ''"
														v-if="item.type === '3'">
														<text class="iconfonts iconfont icon-kanjia"></text>
														<text class="activity_title">参与拼团</text>
													</view>
												</view>
											</view>
										</view>
										<view class="coupon acea-row row-between-wrapper skeleton-rect"
											@click="seeDiscount"
											v-if="discountInfo.discount.length && diyProduct.is_promotions">
											<view class="acea-row row-middle">
												优惠：
												<view class="info line1">
													<text
														class="labels">{{discountInfo.discount[0].title}}</text>{{discountInfo.discount[0].desc}}
												</view>
											</view>
											<view class="iconfont icon-jiantou"></view>
										</view>
									</view>
									<view class="attribute skeleton-rect">
										<view v-if="attr.productAttr.length && diyProduct.is_sku" @click="selecAttr"
											class="attrInfo">
											<view class="acea-row row-between-wrapper">
												<view style="display: flex; align-items: center; width: 90%;">
													{{ attrTxt }}：
													<view class="atterTxt line1" style="width: 82%;">{{ attrValue }}
													</view>
												</view>
												<view class="iconfont icon-jiantou"></view>
											</view>
											<view class="acea-row row-between-wrapper"
												style="margin-top:7px;padding-left:55px;"
												v-if="skuArr.length > 1 && diyProduct.sku_style == 2">
												<view class="flex">
													<image :src="item.image" v-for="(item,index) in skuArr.slice(0,4)"
														:key="index" class="attrImg"></image>
												</view>
												<view class="switchTxt">共{{skuArr.length}}种规格可选</view>
											</view>
										</view>
										<view class="specs acea-row row-between-wrapper" @click="seeSpecs"
											v-if="storeInfo.specs && storeInfo.specs.length && diyProduct.is_specs">
											<view class="acea-row row-middle">
												参数：
												<view class="list line1">
													<span class="item" v-for="(item,index) in storeInfo.specs"
														:key="index" v-if="index<2">{{item.name}}</span>
													<span v-if="storeInfo.specs.length>2">...</span>
												</view>
											</view>
											<view class="iconfont icon-jiantou"></view>
										</view>
										<view class="ensure acea-row row-between-wrapper" @click="seeEnsure"
											v-if="storeInfo.ensure && storeInfo.ensure.length && diyProduct.is_ensure">
											<view class="acea-row row-center-wrapper">
												保障：
												<view class="list acea-row row-middle">
													<view class="item line1">{{ensureInfo.ensureTitle}}</view>
												</view>
											</view>
											<view class="iconfont icon-jiantou"></view>
										</view>
										<view class="storeInfo acea-row row-between row-top"
											v-if="isMention && storeLen && diyProduct.is_store && Object.keys(storeList).length>0" @tap="showStoreList">
											<view class="acea-row row-top row-between">
												门店：
												<storeLis :num='1' :ids='parseInt(id)' :storeList='storeList' @getStoreList="getStoreList">
												</storeLis>
											</view>
											<view class="iconfont icon-jiantou"></view>
										</view>
									</view>
									<discounts-list v-if="discountsData.length && diyProduct.is_discounts"
										:discountsData="discountsData" @click.native="goDiscounts">
									</discounts-list>
								</view>
								<navigator hover-class="none"
									:url="'/pages/goods/goods_comment_list/index?product_id=' + id"
									class="userEvaluation skeleton-rect" id="past1"
									v-if="replyCount && diyProduct.is_reply">
									<view class="title acea-row row-between-wrapper">
										<view>用户评价({{ replyCount }})</view>
										<view class="praise">
											<text class="font-num">{{ replyChance }}%</text>
											好评率
											<text class="iconfont icon-jiantou"></text>
										</view>
									</view>
									<block v-if="replyCount">
										<userEvaluation :reply="reply" @changeLogin="changeLogin" :fromTo="1"></userEvaluation>
									</block>
								</navigator>
								<!-- 优品推荐 -->
								<view class="superior skeleton-rect" v-if="good_list.length && diyProduct.is_recommend"
									id="past2">
									<view class="title acea-row row-center-wrapper">
										<!-- <image src="../../static/images/ling.png"></image> -->
										<view class="lingw acea-row row-center-wrapper">
											<view class="lingn"></view>
										</view>
										<view class="titleTxt">优品推荐</view>
										<view class="lingw acea-row row-center-wrapper">
											<view class="lingn"></view>
										</view>
										<!--<image src="../../static/images/ling.png"></image> -->
									</view>
									<view class="slider-banner banner">
										<swiper :indicator-dots="good_list.length==1?false:true" :autoplay="autoplay"
											:circular="circular" :interval="interval" :duration="duration"
											indicator-color="#999" indicator-active-color="var(--view-theme)"
											:style="'height:' + (good_list.length==1?clientHeight-20:clientHeight) + 'px'">
											<swiper-item v-for="(item, indexw) in good_list" :key="indexw"
												v-if="indexw<2">
												<view class="list acea-row row-middle" :id="'list' + indexw">
													<view class="item" v-for="(val, indexn) in item.list" :key="indexn"
														@click="goDetail(val)">
														<view class="pictrue">
															<image :src="val.image"></image>
															<span class="pictrue_log pictrue_log_class"
																v-if="val.activity && val.activity.type === '1'">秒杀</span>
															<span class="pictrue_log pictrue_log_class"
																v-if="val.activity && val.activity.type === '2'">砍价</span>
															<span class="pictrue_log pictrue_log_class"
																v-if="val.activity && val.activity.type === '3'">拼团</span>
															<view class="activityFrame" v-if="val.activity_frame.image" :style="'background-image: url('+val.activity_frame.image+');'"></view>
														</view>
														<view class="name line1">{{ val.store_name }}</view>
														<view class="money font-color">¥{{ val.price }}</view>
													</view>
												</view>
											</swiper-item>
											<!-- <view class="swiper-pagination" slot="pagination"></view> -->
										</swiper>
									</view>
								</view>
								<view class="product-intro skeleton-rect" id="past3" v-if="diyProduct.is_description">
									<view class="title">产品介绍</view>
									<view class="conter">
										<!-- #ifndef APP-PLUS -->
										<jyf-parser :html="description" ref="article" :tag-style="tagStyle"></jyf-parser>
										<!-- #endif -->
										<!-- #ifdef APP-PLUS -->
										<view v-html="description"></view>
										<!-- #endif -->
									</view>
								</view>
								<view class="uni-p-b-140" v-if="!diyProduct.is_description"></view>
								<!-- #ifdef APP-PLUS -->
								<view class="uni-p-b-98" v-if="diyProduct.is_description"></view>
								<!-- #endif -->
							</scroll-view>
						</view>
						<view class="footer acea-row row-between-wrapper">
							<!-- <button open-type="contact" hover-class='none' class='item'>
					<view class='iconfont icon-kefu'></view>
					<view>客服</view>
				</button> -->
							<navigator hover-class="none" class="item skeleton-rect" open-type="switchTab"
								url="/pages/index/index">
								<view class="iconfont icon-shouye6"></view>
								<view class="p_center">首页</view>
							</navigator>
							<view @click="setCollect" class="item skeleton-rect">
								<view class="iconfont icon-shoucang1" v-if="storeInfo.userCollect"></view>
								<view class="iconfont icon-shoucang" v-else></view>
								<view class="p_center">收藏</view>
							</view>
							<navigator open-type="reLaunch" class="animated item skeleton-rect"
								:class="animated == true ? 'bounceIn' : ''" url="/pages/order_addcart/order_addcart"
								hover-class="none">
								<view class="iconfont icon-gouwuche1">
									<text class="num bg-color"
										v-if="parseFloat(CartCount) > 0">{{ CartCount || 0 }}</text>
								</view>
								<view class="p_center">购物车</view>
							</navigator>
							<view class="bnt acea-row skeleton-rect" :class="!storeInfo.cart_button?'fictitious' : ''"
								v-if="attr.productSelect.stock <= 0">
								<form v-if="storeInfo.cart_button" @submit="joinCart" class="joinCart bnts"><button
										class="joinCart bnts" form-type="submit">加入购物车</button></form>
								<form v-if="(is_store_buy || delivery_type == 2 || delivery_type == 3) && !fromPage" @submit="goBuy" class="buy bnts"><button class="buy bnts"
										form-type="submit">门店购买</button></form>
								<form v-else class="buy bnts bg-color-hui"><button class="buy bnts bg-color-hui"
										form-type="submit">已售罄</button></form>
							</view>
							<view class="bnt acea-row skeleton-rect" :class="!storeInfo.cart_button?'fictitious' : ''"
								v-else>
								<form v-if="storeInfo.cart_button" @submit="joinCart" class="joinCart bnts"><button
										class="joinCart bnts" form-type="submit">加入购物车</button></form>
								<form
									v-if="storeInfo.is_presale_product&&(storeInfo.presale_pay_status == 1 || storeInfo.presale_pay_status == 3)"
									class="buy bnts bg-color-hui"><button class="buy bnts bg-color-hui"
										form-type="submit">{{storeInfo.presale_pay_status === 1?'未开始':'已结束'}}</button>
								</form>
								<form v-else @submit="goBuy" class="buy bnts"><button class="buy bnts"
										form-type="submit">{{(is_store_buy || delivery_type == 2 || delivery_type == 3) && !fromPage?'门店购买':'立即购买'}}</button>
								</form>
							</view>
						</view>
						<shareRedPackets :sharePacket="sharePacket" :showAnimate="showAnimate"
							@listenerActionSheet="listenerActionSheet" @boxStatus="boxStatus" @closeChange="closeChange"
							v-if="base64Show && !fromPage"></shareRedPackets>
						<!-- 属性组件 -->
						<productWindow ref='productWindow' :attr="attr" :isShow="1" :iSplus="1" :cusPreviewImg='1' :storeInfo="storeInfo" :productType="storeInfo.product_type" :productId="storeInfo.id" :isStoreBuy="is_store_buy"
							@myevent="onMyEvent" @ChangeAttr="ChangeAttr" @ChangeCartNum="ChangeCartNum"
							@attrVal="attrVal" @iptCartNum="iptCartNum" @getImg="showImg" @deliveryFun="deliveryFun"
							@onAddressId="onAddressId" @onstoreId="onstoreId" id="product-window" :is_vip="is_vip">
						</productWindow>
						<ensure :ensureInfo="ensureInfo" @myevent="myEnsure"></ensure>
						<specs :specsInfo="specsInfo" @myevent="mySpecs"></specs>
						<discount :discountInfo="discountInfo" @myevent="myDiscount"></discount>
						<couponListWindow :coupon="coupon" v-if="coupon" @ChangCouponsClone="ChangCouponsClone"
							@ChangCoupons="ChangCoupons" @ChangCouponsUseState="ChangCouponsUseState"
							@tabCouponType="tabCouponType">
						</couponListWindow>
						<!-- 分享按钮 -->
						<view class="generate-posters" :class="posters ? 'on' : ''">
							<view class="generateCon acea-row row-middle">
								<!-- #ifdef H5 -->
								<button class="item" hover-class="none" v-if="weixinStatus === true"
									@click="H5ShareBox = true">
									<!-- <view class="iconfont icon-weixin3"></view> -->
									<view class="pictrue">
										<image src="../../static/images/weixin.png"></image>
									</view>
									<view class="">分享给好友</view>
								</button>
								<!-- #endif -->
								<!-- #ifdef MP -->
								<button class="item" open-type="share" hover-class="none">
									<!-- <view class="iconfont icon-weixin3"></view> -->
									<view class="pictrue">
										<image src="../../static/images/weixin.png"></image>
									</view>
									<view class="">分享给好友</view>
								</button>
								<!-- <button class="item" hover-class="none" @click="copyCommand">
							<view class="iconfont icon-haowuquan1"></view>
							<view class="">发送好物圈</view>
						</button> -->
								<!-- #endif -->
								<!-- #ifdef H5  -->
								<!-- <div class="item copy-data" v-if="storeInfo.command_word != ''"
							:data-clipboard-text="storeInfo.command_word">
							<view class="iconfont icon-fuzhikouling"></view>
							<text>复制口令</text>
						</div> -->
								<!-- #endif -->
								<!-- #ifdef APP-PLUS -->
								<view class="item" @click="appShare('WXSceneSession')">
									<!-- <view class="iconfont icon-weixin3"></view> -->
									<view class="pictrue">
										<image src="../../static/images/weixin.png"></image>
									</view>
									<view class="">分享给好友</view>
								</view>
								<view class="item" @click="appShare('WXSenceTimeline')">
									<view class="pictrue">
										<image src="./static/weixinCircle.png"></image>
									</view>
									<view class="">分享朋友圈</view>
								</view>
								<!-- #endif -->
								<view class="item" @click="getpreviewImage">
									<view class="pictrue">
										<image src="../../static/images/changan.png"></image>
									</view>
									<view class="">预览发图</view>
								</view>
								<!-- #ifndef H5  -->
								<button class="item" hover-class="none" @click="savePosterPath">
									<!-- <view class="iconfont icon-haibao"></view> -->
									<view class="pictrue">
										<image src="../../static/images/haibao.png"></image>
									</view>
									<view class="">保存海报</view>
								</button>
								<!-- #endif -->
							</view>
							<view class="generateClose acea-row row-center-wrapper" @click="posterImageClose">取消</view>
						</view>
						<view class="mask" v-if="posters"></view>
						<!-- 海报展示 -->
						<view class="poster-pop" v-if="posterImageStatus">
							<!-- <image src="../../static/images/poster-close.png" class="close" @click="posterImageClose"></image> -->
							<image :src="posterImage"></image>
							<!-- #ifndef H5  -->
							<!-- <view class="save-poster" @click="savePosterPath">保存到手机</view> -->
							<!-- #endif -->
							<!-- #ifdef H5 -->
							<!-- 		<view class="keep">长按图片可以保存到手机</view> -->
							<!-- #endif -->
						</view>
						<view class="mask" v-if="posterImageStatus"></view>
						<canvas class="canvas" canvas-id="myCanvas" v-if="canvasStatus"></canvas>
						<!-- 发送给朋友图片 -->
						<view class="share-box" v-if="H5ShareBox">
							<image :src="imgHost + '/statics/images/share-info.png'" @click="H5ShareBox = false">
							</image>
						</view>
						<kefuIcon :ids='parseInt(id)' :routineContact='routineContact' :storeInfo='storeInfo'
							:goodsCon='1'>
						</kefuIcon>
						<!-- #ifdef H5 || APP-PLUS -->
						<zb-code ref="qrcode" :show="codeShow" :cid="cid" :val="codeVal" :size="size" :unit="unit"
							:background="background" :foreground="foreground" :pdground="pdground" :icon="codeIcon"
							:iconSize="iconsize" :onval="onval" :loadMake="loadMake" @result="qrR" />
						<!-- #endif -->
						<cusPreviewImg ref="cusPreviewImg" :list="skuArr" @changeSwitch="changeSwitch"></cusPreviewImg>
					</view>
					<!-- #ifdef MP -->
					<authorize v-if="isShowAuth" @authColse="authColse" @onLoadFun="onLoadFun"></authorize>
					<!-- #endif -->
				</view>
</template>

<script>
	let sysHeight = uni.getSystemInfoSync().statusBarHeight;
	import zbCode from '@/components/zb-code/zb-code.vue'
	import {
		getProductDetail,
		getProductCtivity,
		getProductRecommend,
		getProductCode,
		collectAdd,
		collectDel,
		postCartAdd,
		newcomerDetail,
		diyProduct,
		getProductStoreDetail
	} from '@/api/store.js';
	import {
		getUserInfo,
		userShare
	} from '@/api/user.js';
	import {
		getCoupons
	} from '@/api/api.js';
	import {
		getCartCounts
	} from '@/api/order.js';
	import {
		toLogin
	} from '@/libs/login.js';
	import {
		mapGetters
	} from 'vuex';
	import {
		imageBase64
	} from '@/api/public';
	import countDown from '@/components/countDown';
	import storeLis from '@/components/storeLis';
	import productConSwiper from '@/components/productConSwiper';
	import couponListWindow from '@/components/couponListWindow';
	import productWindow from '@/components/productWindow';
	import ensure from './components/ensure/index.vue';
	import specs from './components/specs/index.vue';
	import discount from './components/discount/index.vue';
	import userEvaluation from '@/components/userEvaluation';
	import shareRedPackets from './components/shareRedPackets/index.vue';
	import kefuIcon from '@/components/kefuIcon';
	import discountsList from './components/discountsList/index.vue';
	import cusPreviewImg from '@/components/cusPreviewImg';
	import homeList from '@/components/homeList'
	import {
		silenceBindingSpread
	} from '@/utils';
	import ClipboardJS from '@/plugin/clipboard/clipboard.js';
	import {
		TOKENNAME,
		HTTP_REQUEST_URL
	} from '@/config/app.js';
	import {
		Debounce
	} from '@/utils/validate.js'
	let app = getApp();
	import colors from "@/mixins/color";
	export default {
		components: {
			zbCode,
			productConSwiper,
			couponListWindow,
			productWindow,
			userEvaluation,
			shareRedPackets,
			kefuIcon,
			storeLis,
			discountsList,
			cusPreviewImg,
			ensure,
			specs,
			discount,
			countDown,
			homeList
		},
		directives: {
			trigger: {
				inserted(el, binging) {
					el.click();
				}
			}
		},
		mixins: [colors],
		data() {
			let that = this;
			return {
				showSkeleton: true, //骨架屏显示隐藏
				isNodes: 0, //控制什么时候开始抓取元素节点,只要数值改变就重新抓取
				//属性是否打开
				coupon: {
					coupon: false,
					type: -1,
					list: [],
					count: []
				},
				attrTxt: '请选择', //属性页面提示
				attrValue: '', //已选属性
				animated: false, //购物车动画
				id: 0, //商品id
				replyCount: 0, //总评论数量
				reply: [], //评论列表
				storeInfo: {
					brand_name: ''
				}, //商品详情
				productValue: [], //系统属性
				couponList: [], //优惠券
				cart_num: 1, //购买数量
				isAuto: false, //没有授权的不会自动授权
				isShowAuth: false, //是否隐藏授权
				isOpen: false, //是否打开属性组件
				actionSheetHidden: true,
				posterImageStatus: false,
				storeImage: '', //海报产品图
				PromotionCode: '', //二维码图片
				canvasStatus: false, //海报绘图标签
				posterImage: '', //海报路径
				posterbackgd: '/static/images/posterbackgd.png',
				sharePacket: {
					isState: true //默认不显示
				}, //分销商详细
				uid: 0, //用户uid
				circular: false,
				autoplay: false,
				interval: 3000,
				duration: 500,
				clientHeight: '',
				systemStore: {}, //门店信息
				good_list: [],
				replyChance: 0,
				CartCount: 0,
				isDown: true,
				storeSelfMention: true,
				posters: false,
				weixinStatus: false,
				ensureInfo: {
					show: false,
					ensure: [],
					ensureTitle: ''
				},
				specsInfo: {
					show: false,
					specs: []
				},
				discountInfo: {
					show: false,
					discount: []
				},
				attr: {
					cartAttr: false,
					productAttr: [],
					productSelect: {},
					deliveryType: [],
					isType: 0,
					relation_id: 0,
					store_self_mention: 0
				},
				limitInfo: {
					discount_price: 0,
					price: 0,
					discount: 1,
					datatime: 0
				},
				promotions_type: 0,
				description: '',
				navActive: 0,
				H5ShareBox: false, //公众号分享图片
				activity: [],
				navH: '',
				navList: [],
				opacity: 0,
				scrollY: 0,
				topArr: [],
				height: 0,
				heightArr: [],
				lock: false,
				scrollTop: 0,
				tagStyle: {
					img: 'width:100%;display:block;',
					table: 'width:100%',
					video: 'width:100%'
				},
				returnShow: true, //判断顶部返回是否出现
				diff: '',
				is_money_level: 1,
				is_vip: 0, //是否是会员
				navbarRight: 0,
				homeTop: 20,
				routineContact: 0,
				discountsData: [], //套餐数据
				siteName: '', //商城名称
				themeColor: '',
				fontColor: '',
				isMention: false, //是否存在到店自提
				showAnimate: true,
				skuArr: [],
				//二维码参数
				codeShow: false,
				cid: '1',
				codeVal: "", // 要生成的二维码值
				size: 200, // 二维码大小
				unit: 'upx', // 单位
				background: '#FFF', // 背景色
				foreground: '#000', // 前景色
				pdground: '#000', // 角标色
				codeIcon: '', // 二维码图标
				iconsize: 40, // 二维码图标大小
				lv: 3, // 二维码容错级别 ， 一般不用设置，默认就行
				onval: true, // val值变化时自动重新生成二维码
				loadMake: true, // 组件加载完成后自动生成二维码
				base64Show: 0,
				shareQrcode: 0,
				followCode: '',
				selectSku: {},
				currentPage: false,
				sysHeight: sysHeight,
				isShow: 0,
				storeLen: 1,
				imgHost: HTTP_REQUEST_URL,
				fromType: 0,
				cartNum: 0,
				fromPage: '',
				diyProduct: {
					price_type:[]
				},
				addressId: '',
				store_id: '',
				store_name: '',
				delivery_type: 0,
				activityBg:'',
				posterTitle:'',
				is_store_buy:1, //判断平台是否有库存（0：平台有库存；1：平台没有库存）
				storeList:{}
			};
		},
		computed: mapGetters(['isLogin']),
		watch: {
			isLogin: {
				handler: function(newV, oldV) {
					if (newV == true) {
						this.getCouponList();
						this.getCartCount();
						// this.downloadFilePromotionCode();
					}
				},
				deep: true
			},
			storeInfo: {
				handler: function() {
					this.$nextTick(() => {});
				},
				immediate: true
			}
		},
		onLoad(options) {
			let diyProduct = null;
			try {
				diyProduct = JSON.parse(uni.getStorageSync('diyProduct'))
			} catch (e) {}
			if (diyProduct) {
				this.diyProduct = diyProduct;
			} else {
				this.getdiyProduct()
			}
			let that = this;
			var pages = getCurrentPages();
			that.returnShow = pages.length === 1 ? false : true;
			// #ifdef MP
			that.navH = app.globalData.navHeight;
			// #endif
			// #ifndef MP
			that.navH = 96;
			// #endif
			that.id = options.id;
			that.isShow = options.isShow;
			that.promotions_type = options.promotions_type || 0;
			that.fromType = options.fromType;
			that.fromPage = options.fromPage;
			uni.getSystemInfo({
				success: function(res) {
					that.height = res.windowHeight;
					//res.windowHeight:获取整个窗口高度为px，*2为rpx；98为头部占据的高度；
					// #ifndef APP-PLUS || H5 || MP-ALIPAY
					that.navbarRight = res.windowWidth - uni.getMenuButtonBoundingClientRect().left;
					// #endif
				}
			});
			//扫码携带参数处理
			// #ifdef MP
			if (options.scene) {
				let value = that.$util.getUrlParams(decodeURIComponent(options.scene));
				if (value.id) options.id = value.id;
				//记录推广人uid
				if (value.spid) app.globalData.spid = value.spid;
			}
			if (!options.id) {
				this.showSkeleton = false;
				return that.$util.Tips({
					title: '缺少参数无法查看商品'
				}, {
					tab: 3,
					url: 1
				});
			} else {
				that.id = options.id;
			}
			if (that.isLogin && options.id) {
				that.downloadFilePromotionCode();
			}
			// #endif
			//记录推广人uid
			if (options.spid) app.globalData.spid = options.spid;
			that.getGoodsDetails();
			// that.getCouponList(0);
			// #ifdef H5
			that.isLogin && silenceBindingSpread();
			// #endif
			this.colorData();
			let color = [{
					themeColor: '#1DB0FC',
					fontColor: '#FD502F'
				},
				{
					themeColor: '#42CA4D',
					fontColor: '#FF7600'
				},
				{
					themeColor: '#e93323',
					fontColor: '#e93323'
				},
				{
					themeColor: '#FF448F',
					fontColor: '#FF448F'
				},
				{
					themeColor: '#FE5C2D',
					fontColor: '#FE5C2D'
				},
				{   
					themeColor:'#E0A558',
					fontColor:'#DA8C18',
				}
			];
			setTimeout(() => {
				switch (this.colorNum) {
					case 1:
						this.themeColor = color[0].themeColor;
						this.fontColor = color[0].fontColor;
						break;
					case 2:
						this.themeColor = color[1].themeColor;
						this.fontColor = color[1].fontColor;
						break;
					case 3:
						this.themeColor = color[2].themeColor;
						this.fontColor = color[2].fontColor;
						break;
					case 4:
						this.themeColor = color[3].themeColor;
						this.fontColor = color[3].fontColor;
						break;
					case 5:
						this.themeColor = color[4].themeColor;
						this.fontColor = color[4].fontColor;
						break;
					case 6:
						this.themeColor = color[5].themeColor;
						this.fontColor = color[5].fontColor;
						break;
					default:
						this.themeColor = color[2].themeColor;
						this.fontColor = color[2].fontColor;
						break
				}
			}, 1)
		},
		onReady: function() {
			this.isNodes++;
			// #ifdef H5
			this.codeVal = window.location.origin + '/pages/goods_details/index?id=' + this.id +
				'&spid=' + this.$store.state.app.uid
			// #endif	
			// #ifdef APP-PLUS
			this.codeVal = HTTP_REQUEST_URL + '/pages/goods_details/index?id=' + this.id +
				'&spid=' + this.$store.state.app.uid
			// #endif	
			this.$nextTick(function() {
				// #ifdef MP
				const menuButton = uni.getMenuButtonBoundingClientRect();
				const query = uni.createSelectorQuery().in(this);
				query
					.select('#home')
					.boundingClientRect(data => {
						this.homeTop = menuButton.top * 2 + menuButton.height - data.height;
					})
					.exec();
				// wx.showShareMenu({
				// 	withShareTicket:true,
				// 	//设置下方的Menus菜单，才能够让发送给朋友与分享到朋友圈两个按钮可以点击
				// 	menus:["shareAppMessage","shareTimeline"]
				// })
				// #endif
				// #ifdef H5
				const clipboard = new ClipboardJS('.copy-data');
				clipboard.on('success', () => {
					this.$util.Tips({
						title: '复制成功'
					});
				});
				// #endif
			});
		},
		onShow() {
			uni.removeStorageSync('form_type_cart');
		},
		mounted(){
			uni.$on('activeFn', data => {
				let id = data.id;
				this.store_id = id;
				this.$refs.productWindow.getList(id);
			})
		},
		/**
		 * 用户点击右上角分享
		 */
		// #ifdef MP
		onShareAppMessage: function() {
			let that = this;
			that.$set(that, 'actionSheetHidden', !that.actionSheetHidden);
			userShare();
			return {
				title: that.storeInfo.store_name || '',
				imageUrl: that.storeInfo.image || '',
				path: '/pages/goods_details/index?id=' + that.id + '&spid=' + that.uid
			};
		},
		onShareTimeline() {
			let that = this;
			that.$set(that, 'actionSheetHidden', !that.actionSheetHidden);
			userShare();
			return {
				title: that.storeInfo.store_name || '',
				imageUrl: that.storeInfo.image || '',
				path: '/pages/goods_details/index?id=' + that.id + '&spid=' + that.uid
			};
		},
		// #endif
		methods: {
			changeLogin(){
				this.getIsLogin();
			},
			getIsLogin(){
				// #ifndef MP
				toLogin()
				// #endif
				// #ifdef MP
				this.isShowAuth = true;
				// #endif
			},
			// div商品详情
			getdiyProduct() {
				diyProduct().then(res => {
					this.diyProduct = res.data.product_detail;
					uni.setStorageSync('diyProduct', JSON.stringify(res.data.product_detail))
				})
			},
			// 获取配送方式
			deliveryFun(e) {
				this.delivery_type = e;
			},
			// 获取配送地址id
			onAddressId(row) {
				this.addressId = row.id
			},
			// 门店详情
			getStoreDetail(id,pid){
				getProductStoreDetail(pid?pid:this.id,{store_id:id}).then(res=>{
					let storeInfo = res.data.storeInfo;
					this.$set(this, 'storeInfo', storeInfo);
					this.$set(this, 'productValue', res.data.productValue);
					this.DefaultSelect();
				}).catch(err=>{
					return this.$util.Tips({
						title: err
					});
				})
			},
			// 获取自提地址id
			onstoreId(row,flag) {
				this.storeList = row;
				if(this.fromPage){
					this.store_id = row.id;
					this.store_name = row.name;
				}else{
					if(flag == 2 || flag == 3){
					   this.store_id = row.id;
					   this.store_name = row.name;
					   this.getStoreDetail(row.id);
					}else{
					   this.getStoreDetail(0,this.storeInfo.pid);
					}
				}
			},
			getStoreList(len) {
				this.storeLen = len;
				
			},
			seeEnsure() {
				this.ensureInfo.show = true;
			},
			seeSpecs() {
				this.specsInfo.show = true;
			},
			seeDiscount() {
				this.discountInfo.show = true;
			},
			moreNav() {
				this.currentPage = !this.currentPage
			},
			//点击sku图片打开轮播图
			showImg(index) {
				this.$refs.cusPreviewImg.open(this.selectSku.suk)
			},
			//滑动轮播图选择商品
			changeSwitch(e) {
				let productSelect = this.skuArr[e];
				this.$set(this, 'selectSku', productSelect);
				var skuList = productSelect.suk.split(',');
				skuList.forEach((i, index) => {
					this.$set(this.attr.productAttr[index], 'index', skuList[index]);
				})
				if (productSelect) {
					this.$set(this.attr.productSelect, 'image', productSelect.image);
					this.$set(this.attr.productSelect, 'price', productSelect.price);
					this.$set(this.attr.productSelect, 'stock', productSelect.stock);
					this.$set(this.attr.productSelect, 'unique', productSelect.unique);
					this.$set(this.attr.productSelect, 'cart_num', 1);
					this.$set(this.attr.productSelect, 'vip_price', productSelect.vip_price);
					this.$set(this, 'attrValue', productSelect.suk);
					this.$set(this, 'attrTxt', '已选择');
				}
			},
			qrR(res) {
				// #ifdef H5
				if (!this.$wechat.isWeixin() || this.shareQrcode != '1') {
					this.PromotionCode = res;
					this.followCode = ''
				}
				// #endif
				// #ifdef APP-PLUS
				this.PromotionCode = res;
				// #endif
			},
			boxStatus(data) {
				this.showAnimate = data
			},
			followWX() {
				getProductCode(this.id).then(res => {
					this.followCode = res.data.code
					this.getImageBase64(1);
				}).catch(err => {
					this.$util.Tips({
						title: err
					});
				})
			},
			// 图片预览；
			getpreviewImage: function() {
				if (this.posterImage) {
					let photoList = [];
					photoList.push(this.posterImage)
					uni.previewImage({
						urls: photoList,
						current: this.posterImage
					});
				} else {
					this.$util.Tips({
						title: '您的海报尚未生成'
					});
				}
			},
			/*
			 * 跳转门店列表
			 */
			showStoreList: function() {
				uni.navigateTo({
					url: '/pages/store/store_list/index?productId='+this.id+'&type=1&isCollage=1'
				})
			},
			videoPause() {
				this.$nextTick(() => {
					that.infoScroll();
				})
			},
			// app分享
			// #ifdef APP-PLUS
			appShare(scene) {
				let that = this
				let routes = getCurrentPages(); // 获取当前打开过的页面路由数组
				let curRoute = routes[routes.length - 1].$page.fullPath // 获取当前页面路由，也就是最后一个打开的页面路由
				uni.share({
					provider: "weixin",
					scene: scene,
					type: 0,
					href: `${HTTP_REQUEST_URL}${curRoute}&spid=${that.uid}`,
					title: that.storeInfo.store_name,
					summary: that.storeInfo.store_info,
					imageUrl: that.storeInfo.small_image,
					success: function(res) {
						// uni.showToast({
						// 	title: '分享成功',
						// 	icon: 'success'
						// })
						// that.posters = false;
					},
					fail: function(err) {
						uni.showToast({
							title: '分享失败',
							icon: 'none',
							duration: 2000
						})
						// that.posters = false;
					}
				});
			},
			// #endif
			closeChange: function() {
				this.$set(this.sharePacket, 'isState', true);
			},
			goActivity: function(e) {
				let item = e;
				if (item.type === '1') {
					uni.navigateTo({
						url: `/pages/activity/goods_seckill_details/index?id=${item.id}&time=${item.time}&status=1`
					});
				} else if (item.type === '2') {
					uni.navigateTo({
						url: `/pages/activity/goods_bargain_details/index?id=${item.id}&spid=${this.uid}`
					});
				} else {
					uni.navigateTo({
						url: `/pages/activity/goods_combination_details/index?id=${item.id}`
					});
				}
			},
			/**
			 * 购物车手动填写
			 *
			 */
			iptCartNum: function(e) {
				this.$set(this.attr.productSelect, 'cart_num', e);
			},
			// 后退
			returns: function() {
				if (this.isShow) {
					uni.reLaunch({
						url: '/pages/index/index'
					})
				} else {
					if (this.fromType) {
						let obj = {
							id: this.id,
							cartNum: this.cartNum
						}
						let pages = getCurrentPages();
						let prevPage = pages[pages.length - 2];
						if(pages.length>1){
							prevPage.$vm.otherFun(obj);
							return uni.navigateBack();
						}else{
						   this.backTap();
						}
					} else {
						this.backTap();
					}
				}
			},
			backTap(){
				// #ifdef H5
				return history.back();
				// #endif
				// #ifndef H5
				return uni.navigateBack({
					delta: 1,
				})
				// #endif
			},
			tap: function(index) {
				var that = this;
				this.$set(this, 'navActive', index);
				this.$set(this, 'lock', true);
				this.$set(this, 'scrollTop', index > 0 ? that.topArr[index] - app.globalData.navHeight / 2 : that
					.topArr[index]);
			},
			scroll: function(e) {
				var that = this,
					scrollY = e.detail.scrollTop;
				var opacity = scrollY / 200;
				opacity = opacity > 1 ? 1 : opacity;
				let showAnimate = scrollY > 0 ? false : true
				that.$set(that, 'opacity', opacity);
				that.$set(that, 'scrollY', scrollY);
				that.$set(that, 'showAnimate', showAnimate);
				that.$set(that, 'currentPage', false);
				if (that.lock) {
					that.$set(that, 'lock', false);
					return;
				}
				for (var i = 0; i < that.topArr.length; i++) {
					if (scrollY < that.topArr[i] - app.globalData.navHeight / 2 + that.heightArr[i]) {
						that.$set(that, 'navActive', i);
						break;
					}
				}
			},
			/*
			 *去商品详情页
			 */
			goDetail(item) {
				if (item.activity.length == 0) {
					uni.redirectTo({
						url: '/pages/goods_details/index?id=' + item.id
					});
					return;
				}
				// 砍价
				if (item.activity && item.activity.type == 2) {
					uni.redirectTo({
						url: `/pages/activity/goods_bargain_details/index?id=${item.activity.id}&spid=${this.uid}`
					});
					return;
				}
				// 拼团
				if (item.activity && item.activity.type == 3) {
					uni.redirectTo({
						url: `/pages/activity/goods_combination_details/index?id=${item.activity.id}`
					});
					return;
				}
				// 秒杀
				if (item.activity && item.activity.type == 1) {
					uni.redirectTo({
						url: `/pages/activity/goods_seckill_details/index?id=${item.activity.id}&time=${item.activity.time}&status=1`
					});
					return;
				}
			},
			// 微信登录回调
			onLoadFun: function(e) {
				this.downloadFilePromotionCode();
				this.getUserInfo();
				this.getCartCount();
				this.isShowAuth = false;
			},
			ChangCouponsClone: function() {
				this.$set(this.coupon, 'coupon', false);
			},
			/*
			 * 获取用户信息
			 */
			getUserInfo: function() {
				let that = this;
				getUserInfo().then(res => {
					that.$set(that.sharePacket, 'isState', that.sharePacket.priceName != 0 ? false : true);
					that.$set(that, 'uid', res.data.uid);
					that.$set(that, 'is_money_level', res.data.is_money_level);
				});
			},
			/**
			 * 购物车数量加和数量减
			 *
			 */
			ChangeCartNum: function(changeValue) {
				//changeValue:是否 加|减
				//获取当前变动属性
				let productSelect = this.productValue[this.attrValue];
				//如果没有属性,赋值给商品默认库存
				if (productSelect === undefined && !this.attr.productAttr.length) productSelect = this.attr
					.productSelect;
				//无属性值即库存为0；不存在加减；
				if (productSelect === undefined) return;
				let stock = productSelect.stock || 0;
				let num = this.attr.productSelect;
				if (changeValue) {
					num.cart_num++;
					if (num.cart_num > stock) {
						this.$set(this.attr.productSelect, 'cart_num', stock ? stock : 1);
						this.$set(this, 'cart_num', stock ? stock : 1);
					}
				} else {
					num.cart_num--;
					if (num.cart_num < 1) {
						this.$set(this.attr.productSelect, 'cart_num', 1);
						this.$set(this, 'cart_num', 1);
					}
				}
			},
			attrVal(val) {
				this.$set(this.attr.productAttr[val.indexw], 'index', this.attr.productAttr[val.indexw].attr_values[val
					.indexn]);
			},
			/**
			 * 属性变动赋值
			 *
			 */
			ChangeAttr: function(res) {
				let productSelect = this.productValue[res];
				this.$set(this, "selectSku", productSelect);
				if (productSelect && productSelect.stock >= 0) {
					this.$set(this.attr.productSelect, 'image', productSelect.image);
					this.$set(this.attr.productSelect, 'price', productSelect.price);
					this.$set(this.attr.productSelect, 'stock', productSelect.stock);
					this.$set(this.attr.productSelect, 'unique', productSelect.unique);
					this.$set(this.attr.productSelect, 'cart_num', 1);
					this.$set(this.attr.productSelect, 'vip_price', productSelect.vip_price);
					this.$set(this, 'attrValue', res);
					this.$set(this, 'attrTxt', '已选择');
				} else {
					this.$set(this.attr.productSelect, 'image', this.storeInfo.image);
					this.$set(this.attr.productSelect, 'price', this.storeInfo.price);
					this.$set(this.attr.productSelect, 'stock', 0);
					this.$set(this.attr.productSelect, 'unique', '');
					this.$set(this.attr.productSelect, 'cart_num', 0);
					this.$set(this.attr.productSelect, 'vip_price', this.storeInfo.vip_price);
					this.$set(this, 'attrValue', '');
					this.$set(this, 'attrTxt', '请选择');
				}
			},
			/**
			 * 领取完毕移除当前页面领取过的优惠券展示
			 */
			ChangCoupons: function(e) {
				let coupon = e;
				let couponList = this.$util.ArrayRemove(this.couponList, 'id', coupon.id);
				this.$set(this, 'couponList', couponList);
				this.getCouponList();
			},

			setClientHeight: function() {
				let that = this;
				if (!that.good_list.length) return;
				let view = uni
					.createSelectorQuery()
					.in(this)
					.select('#list0');
				view.fields({
						size: true
					},
					data => {
						that.$set(that, 'clientHeight', data.height + 20);
						that.$nextTick(() => {
							that.infoScroll();
						})
					}
				).exec();
			},
			// 推荐商品
			getGoodsList() {
				let that = this;
				getProductRecommend(that.id).then(res => {
					let good_list = res.data || [];
					let count = Math.ceil(good_list.length / 6);
					let goodArray = new Array();
					for (let i = 0; i < count; i++) {
						let list = good_list.slice(i * 6, i * 6 + 6);
						if (list.length)
							goodArray.push({
								list: list
							});
					}
					that.$set(that, 'good_list', goodArray);
					if (goodArray.length && this.diyProduct.is_recommend) {
						that.navList.splice(-1, 0, '推荐');
					}
					that.$nextTick(() => {
						if (good_list.length) {
							// #ifndef APP-PLUS
							that.setClientHeight();
							// #endif
							// #ifdef APP-PLUS
							setTimeout(() => {
								that.setClientHeight();
							}, 1000)
							// #endif
						}
					});
				}).catch(err => {
					return this.$util.Tips({
						title: err
					});
				})
			},
			// 获取产品活动详情
			getGoodsCtivity() {
				let that = this;
				getProductCtivity(that.id, {
					promotions_type: this.promotions_type
				}).then(res => {
                    that.$set(that, 'activityBg', res.data.activity_background.image || '');
					that.$set(that, 'activity', res.data.activity ? res.data.activity : []);
					that.$set(that, 'couponList', res.data.coupons);
					that.$set(that, 'discountsData', res.data.discounts_products ? res.data.discounts_products :
					[]); //套餐数据
					let promotions = res.data.promotions[0];
					that.$set(that, 'promotions_type', res.data.promotions.length ? promotions.promotions_type :
						0);
					if (res.data.promotions.length && promotions.promotions_type == 1) {
						let discount = that.$util.$h.Div(promotions.discount, 100);
						// let discountPrice = that.$util.$h.Mul(discount, this.storeInfo.price);
						let discountPrice = that.$util.$h.Mul(that.$util.$h.Sub(1,discount), this.storeInfo.price);
						discountPrice = that.$util.$h.Sub(this.storeInfo.price,(Math.floor(discountPrice * 100) / 100));
						that.$set(that.limitInfo, 'price', this.storeInfo.price || 0);
						that.$set(that.limitInfo, 'datatime', promotions.stop_time || 0);
						that.$set(that.limitInfo, 'discount', discount);
						that.$set(that.limitInfo, 'discount_price', discountPrice);
					}
					that.$set(that.discountInfo, 'discount', res.data.promotions);
					that.$nextTick(() => {
						that.infoScroll();
					})
				}).catch(err => {
					return this.$util.Tips({
						title: err
					});
				})

			},
			/**
			 * 获取产品详情
			 *
			 */
			getGoodsDetails: function() {
				let that = this;
				let obj = '';
				if (that.fromPage) {
					obj = newcomerDetail;
				} else {
					obj = getProductDetail;
				}
				obj(that.id, {
						promotions_type: this.promotions_type
					})
					.then(res => {
						let storeInfo = res.data.storeInfo;
						if(storeInfo.type == 1){
						  if(storeInfo.delivery_type.indexOf('1') !=-1){//在门店首页确保选择门店配送或是自提
							  storeInfo.delivery_type.sort((x, y) => x - y);
							  storeInfo.delivery_type.push(storeInfo.delivery_type.shift());
						  }
						}else{
						  storeInfo.delivery_type.sort((x, y) => x - y);
						}
						that.$set(that.attr, 'deliveryType', storeInfo.delivery_type);
						if (res.data.storeInfo.delivery_type.indexOf('2') != -1) {
							that.$set(that, 'isMention', true);
						}
						that.$set(that, 'is_store_buy', res.data.is_store_buy || 0);
						that.$set(that, 'storeInfo', storeInfo);
						that.$set(that.attr, 'isType', res.data.storeInfo.type);
						that.$set(that.attr, 'relation_id', res.data.storeInfo.relation_id);
						that.$set(that.attr, 'store_self_mention', res.data.store_self_mention);
						that.$set(that.ensureInfo, 'ensure', storeInfo.ensure);
						let ensureTitle = [];
						storeInfo.ensure.forEach(res => {
							ensureTitle.push(res.name)
						})
						that.$set(that.ensureInfo, 'ensureTitle', ensureTitle.join(' · '));
						that.$set(that.specsInfo,
							'specs', storeInfo.specs);
						that.$set(that, 'description', storeInfo.description);
						that.$set(that, 'posterTitle', res.data.product_poster_title);
						if (this.description) {
							this.description = this.description.replace(
								/<img/gi,
								'<img style="max-width:100%;height:auto;float:left;display:block" '
							);
							this.description = this.description.replace(
								/<video/gi,
								'<video style="width:100%;height:auto;display:block" '
							);
						}
						that.$set(that, 'reply', res.data.reply);
						that.$set(that, 'replyCount', res.data.replyCount);
						that.$set(that, 'replyChance', res.data.replyChance);
						that.$set(that.attr, 'productAttr', res.data.productAttr);
						that.$set(that, 'productValue', res.data.productValue);
						for (let key in res.data.productValue) {
							let obj = res.data.productValue[key];
							that.skuArr.push(obj)
						}
						if (!that.skuArr.length) {
							that.skuArr = [
								{
									image: this.storeInfo.image,
									suk: this.storeInfo.store_name,
									price: this.storeInfo.price
									
								}
							];
						}
						this.$set(this, "selectSku", that.skuArr[0]);
						that.$set(that, 'is_vip', res.data.storeInfo
							.is_vip);
						that.$set(that.sharePacket, 'priceName', res.data.priceName);
						that.$set(that,
							'systemStore', res.data.system_store);
						that.$set(that, 'storeSelfMention', res.data
							.store_self_mention);
						that.$set(that, 'shareQrcode', res.data.share_qrcode);
						that.$set(that, 'routineContact', Number(res
							.data.routine_contact_type));
						uni.setNavigationBarTitle({
							title: storeInfo.store_name.substring(0, 13) + '...'
						});
						that.$set(that, 'diff', that.$util.$h.Sub(storeInfo.price, storeInfo.vip_price));
						that
							.siteName = res.data.site_name;
						var navList = ['商品', '详情'];
						if (res.data.replyCount && that.diyProduct.is_reply) {
							navList.splice(1, 0, '评价');
						}
						that.$set(that, 'navList', navList);
						// #ifdef H5
						that.$set(that, 'storeImage', that.storeInfo.image);
						if (that.isLogin) {
							that.ShareInfo();
						}
						if (this.$wechat.isWeixin() && this.shareQrcode == '1') {
							that.followWX();
						} else {
							that.getImageBase64();
						}
						// #endif
						if (that.isLogin) {
							that.getUserInfo();
						}
						setTimeout(function() {
							that.infoScroll();
						}, 500);
						// #ifndef H5
						that.downloadFilestoreImage();
						// #endif
						that.DefaultSelect();
						that.getCartCount();
						setTimeout(() => {
							this.showSkeleton = false
						}, 200)
						if (!that.fromPage) {
							that.getGoodsList();
							that.getGoodsCtivity();
						}
					}).catch(err => {
						//状态异常返回上级页面
						return that.$util.Tips({
							title: err.toString()
						}, {
							tab: 3,
							url: 1
						});
						setTimeout(() => {
							this.showSkeleton = false
						}, 500)
					});

			},
			infoScroll: function() {
				var that = this,
					topArr = [],
					heightArr = [];
				for (var i = 0; i < that.navList.length; i++) {
					//获取元素所在位置
					var query = uni.createSelectorQuery().in(this);
					var idView = '#past' + i;
					if (((!this.replyCount || !this.diyProduct.is_reply) && (!that.good_list.length || !that.diyProduct
							.is_recommend) && i == 1) || (this.replyCount && this.diyProduct.is_reply && (!that
							.good_list.length || !that.diyProduct.is_recommend) && i == 2) || ((!this.replyCount || !
								this.diyProduct.is_reply) && that.good_list.length && that.diyProduct.is_recommend &&
							i == 2)) {
						idView = "#past" + 3;
					}
					if ((!this.replyCount || !this.diyProduct.is_reply) && that.good_list.length && that.diyProduct
						.is_recommend && i == 1) {
						idView = "#past" + 2;
					}
					query.select(idView).boundingClientRect();
					query.exec(function(res) {
						var top = res[0].top;
						var height = res[0].height;
						topArr.push(top);
						heightArr.push(height);
						that.$set(that, 'topArr', topArr);
						that.$set(that, 'heightArr', heightArr);
					});
				}
			},
			/**
			 * 拨打电话
			 */
			makePhone: function() {
				uni.makePhoneCall({
					phoneNumber: this.systemStore.phone
				});
			},
			/**
			 * 打开地图
			 *
			 */
			showMaoLocation: function() {
				if (!this.systemStore.latitude || !this.systemStore.longitude)
					return this.$util.Tips({
						title: '缺少经纬度信息无法查看地图！'
					});
				uni.openLocation({
					latitude: parseFloat(this.systemStore.latitude),
					longitude: parseFloat(this.systemStore.longitude),
					scale: 8,
					name: this.systemStore.name,
					address: this.systemStore.address + this.systemStore.detailed_address,
					success: function() {}
				});
			},
			/**
			 * 默认选中属性
			 *
			 */
			DefaultSelect: function() {
				let productAttr = this.attr.productAttr;
				let valueobj = [];
				let value = [];
				for (var key in this.productValue) {
					if (this.productValue[key].stock > 0) {
						valueobj = this.attr.productAttr.length ? key.split(',') : [];
						break;
					}
				}
				// 处理已售罄时默认选中第一个
				if (!valueobj.length && this.attr.productAttr.length) {
					value = Object.keys(this.productValue)[0].split(',');
				} else {
					value = valueobj;
				}
				for (let i = 0; i < productAttr.length; i++) {
					this.$set(productAttr[i], 'index', value[i]);
				}
				//sort();排序函数:数字-英文-汉字；
				let productSelect = this.productValue[value.join(',')];
				if (productSelect && productAttr.length) {
					this.$set(this.attr.productSelect, 'store_name', this.storeInfo.store_name);
					this.$set(this.attr.productSelect, 'image', productSelect.image);
					this.$set(this.attr.productSelect, 'price', productSelect.price);
					this.$set(this.attr.productSelect, 'stock', productSelect.stock);
					this.$set(this.attr.productSelect, 'unique', productSelect.unique);
					this.$set(this.attr.productSelect, 'cart_num', 1);
					this.$set(this, 'attrValue', value.join(','));
					this.$set(this.attr.productSelect, 'vip_price', productSelect.vip_price);
					this.$set(this, 'attrTxt', '已选择');
				} else if (!productSelect && productAttr.length) {
					this.$set(this.attr.productSelect, 'store_name', this.storeInfo.store_name);
					this.$set(this.attr.productSelect, 'image', this.storeInfo.image);
					this.$set(this.attr.productSelect, 'price', this.storeInfo.price);
					this.$set(this.attr.productSelect, 'stock', 0);
					this.$set(this.attr.productSelect, 'unique', '');
					this.$set(this.attr.productSelect, 'cart_num', 0);
					this.$set(this.attr.productSelect, 'vip_price', this.storeInfo.vip_price);
					this.$set(this, 'attrValue', '');
					this.$set(this, 'attrTxt', '请选择');
				} else if (!productSelect && !productAttr.length) {
					this.$set(this.attr.productSelect, 'store_name', this.storeInfo.store_name);
					this.$set(this.attr.productSelect, 'image', this.storeInfo.image);
					this.$set(this.attr.productSelect, 'price', this.storeInfo.price);
					this.$set(this.attr.productSelect, 'stock', this.storeInfo.stock);
					this.$set(this.attr.productSelect, 'unique', this.storeInfo.unique || '');
					this.$set(this.attr.productSelect, 'cart_num', 1);
					this.$set(this.attr.productSelect, 'vip_price', this.storeInfo.vip_price);
					this.$set(this, 'attrValue', '');
					this.$set(this, 'attrTxt', '请选择');
				}
			},
			/**
			 * 获取优惠券
			 *
			 */
			getCouponList(type) {
				let that = this,
					obj = {
						page: 1,
						limit: 20,
						product_id: that.id
					};
				if (type !== undefined || type !== null) {
					obj.type = type;
				}
				getCoupons(obj).then(res => {
					that.$set(that.coupon, 'count', res.data.count);
					if (type === undefined || type === null) {
						let count = [...that.coupon.count],
							indexs = '';
						let index = count.findIndex(item => item);
						let delCount = that.coupon.count,
							newDelCount = [];
						let countIndex = 0;
						delCount.forEach((item, index) => {
							if (item === 0) {
								countIndex = index;
							} else {
								newDelCount.push(item)
							}
						});
						if (newDelCount.length == 3) {
							indexs = 2;
						} else if (newDelCount.length == 2) {
							if (countIndex === 2) {
								indexs = 1;
							} else {
								indexs = 2;
							}
						} else {
							indexs = delCount.findIndex(item => item === count[index]);
						}
						that.$set(that.coupon, 'type', indexs);
						that.getCouponList(indexs);
					} else {
						that.$set(that.coupon, 'list', res.data.list);
					}
				});
			},
			ChangCouponsUseState(index) {
				let that = this;
				that.coupon.list[index].is_use = true;
				that.$set(that.coupon, 'list', that.coupon.list);
				that.$set(that.coupon, 'coupon', false);
			},
			/**
			 *
			 *
			 * 收藏商品
			 */
			setCollect: Debounce(function() {
				if (this.isLogin === false) {
					this.getIsLogin();
				} else {
					let that = this;
					if (this.storeInfo.userCollect) {
						collectDel(this.fromPage?this.storeInfo.product_id:this.storeInfo.id).then(res => {
							that.$set(that.storeInfo, 'userCollect', !that.storeInfo.userCollect);
							return that.$util.Tips({
								title: res.msg
							});
						});
					} else {
						collectAdd(this.fromPage?this.storeInfo.product_id:this.storeInfo.id).then(res => {
							that.$set(that.storeInfo, 'userCollect', !that.storeInfo.userCollect);
							return that.$util.Tips({
								title: res.msg
							});
						});
					}
				}
			}),
			/**
			 * 打开属性插件
			 */
			selecAttr: Debounce(function() {
				if(!this.isLogin){
					//#ifndef MP
					toLogin();
					//#endif
					//#ifdef MP
					this.isShowAuth = true;
					//#endif
					return
				}
				if((this.storeInfo.delivery_type[0] == 2 || this.storeInfo.delivery_type[0] == 3) && !uni.getStorageSync('refuseLocation')){
					this.$refs.productWindow.showLocation();
				}
				this.currentPage = false;
				this.$set(this.attr, 'cartAttr', true);
				this.$set(this, 'isOpen', true);
			}),
			/**
			 * 打开优惠券插件
			 */
			couponTap: function() {
				let that = this;
				this.currentPage = false;
				if (that.isLogin === false) {
					this.getIsLogin();
				} else {
					that.getCouponList();
					that.$set(that.coupon, 'coupon', true);
				}
			},
			onMyEvent: function() {
				this.$set(this.attr, 'cartAttr', false);
				this.$set(this, 'isOpen', false);
			},
			myEnsure() {
				this.$set(this.ensureInfo, 'show', false);
			},
			mySpecs() {
				this.$set(this.specsInfo, 'show', false);
			},
			myDiscount() {
				this.$set(this.discountInfo, 'show', false);
			},
			/**
			 * 打开属性加入购物车
			 *
			 */
			joinCart: function(e) {
				this.currentPage = false;
				//是否登录
				if (this.isLogin === false) {
					this.getIsLogin();
				} else {
					this.goCat();
				}
			},
			/*
			 * 加入购物车
			 */
			goCat: function(news) {
				if((this.storeInfo.delivery_type[0] == 2 || this.storeInfo.delivery_type[0] == 3) && !uni.getStorageSync('refuseLocation')){
				   this.$refs.productWindow.showLocation();
				}
				let that = this,
					productSelect = that.productValue[this.attrValue];
				//打开属性
				if (that.attrValue) {
					//默认选中了属性，但是没有打开过属性弹窗还是自动打开让用户查看默认选中的属性
					that.attr.cartAttr = !that.isOpen ? true : false;
				} else {
					if (that.isOpen) that.attr.cartAttr = true;
					else that.attr.cartAttr = !that.attr.cartAttr;
				}
				//只有关闭属性弹窗时进行加入购物车
				if (that.attr.cartAttr === true && that.isOpen === false) return (that.isOpen = true);
				//如果有属性,没有选择,提示用户选择
				if (that.attr.productAttr.length && productSelect === undefined && that.isOpen === true)
					return that.$util.Tips({
						title: '产品库存不足，请选择其它属性'
					});
				if (that.attr.productSelect.cart_num <= 0) {
					that.attr.productSelect.cart_num = 1
					that.isOpen = false
					return that.$util.Tips({
						title: '请先选择属性'
					});
				}
				let q = {
					cartNum: that.attr.productSelect.cart_num,
					new: news === undefined ? 0 : 1,
					uniqueId: that.attr.productSelect !== undefined ? that.attr.productSelect.unique : '',
					store_id: this.store_id,
					addressId: this.addressId,
					delivery_type: this.delivery_type,
				};
				if (that.fromPage) {
					q.productId = that.storeInfo.product_id;
					q.newcomerId = that.id;
				} else if(that.is_store_buy || this.delivery_type == 2 || this.delivery_type == 3){
					q.productId = that.storeInfo.id; //重新调用门店详情后的赋值id
				} else {
					q.productId = that.id;
				}
				let delivery_type = that.delivery_type
				postCartAdd(q)
					.then(function(res) {
						that.isOpen = false;
						that.attr.cartAttr = false;
						if (news) {
							uni.navigateTo({
								url: '/pages/goods/order_confirm/index?new=1&cartId=' + res.data.cartId +
									'&delivery_type=' + delivery_type + '&addressId=' + that.addressId +
									'&store_id=' + that.store_id + '&store_name=' + that.store_name +
									'&product_id=' + that.storeInfo.id
							});
						} else {
							that.$util.Tips({
								title: '添加购物车成功',
								success: () => {
									that.cartNum = res.data.cartNum;
									that.getCartCount(true);
								}
							});
						}
					})
					.catch(err => {
						that.isOpen = false;
						return that.$util.Tips({
							title: err
						});
					});
			},
			/**
			 * 获取购物车数量
			 * @param boolean 是否展示购物车动画和重置属性
			 */
			getCartCount: function(isAnima) {
				let that = this;
				const isLogin = that.isLogin;
				let id = uni.getStorageSync('user_store_id') || 0;
				if (isLogin) {
					getCartCounts(0,id).then(res => {
						that.CartCount = res.data.count;
						this.$store.commit('indexData/setCartNum', that.CartCount + '')
						//加入购物车后重置属性
						if (isAnima) {
							that.animated = true;
							setTimeout(function() {
								that.animated = false;
							}, 500);
						}
					});
				}
			},
			/**
			 * 立即购买
			 */
			goBuy: function(e) {
				this.currentPage = false;
				if (this.isLogin === false) {
					this.getIsLogin();
				} else {
					this.goCat(true);
				}
			},
			// 授权关闭
			authColse: function(e) {
				this.isShowAuth = e;
			},
			/**
			 * 分享打开
			 *
			 */
			listenerActionSheet: function() {
				this.currentPage = false
				if (this.isLogin === false) {
					this.getIsLogin();
				} else {
					// #ifdef H5
					if (this.$wechat.isWeixin() === true) {
						this.weixinStatus = true;
					}
					// #endif
					this.posters = true;
					this.goPoster();
				}
			},
			// 分享关闭
			listenerActionClose: function() {
				this.posters = false;
			},
			//隐藏海报
			posterImageClose: function() {
				this.posterImageStatus = false;
				this.posters = false;
			},
			//替换安全域名
			setDomain: function(url) {
				url = url ? url.toString() : '';
				//本地调试打开,生产请注销
				if (url.indexOf('https://') > -1) return url;
				else return url.replace('http://', 'https://');
			},
			//获取海报产品图
			downloadFilestoreImage: function() {
				let that = this;
				uni.downloadFile({
					url: that.setDomain(that.storeInfo.image),
					success: function(res) {
						that.storeImage = res.tempFilePath;
						that.base64Show = 1;
					},
					fail: function() {
						return that.$util.Tips({
							title: ''
						});
						that.storeImage = '';
					}
				});
			},
			/**
			 * 获取产品分销二维码
			 * @param function successFn 下载完成回调
			 *
			 */
			downloadFilePromotionCode: function(successFn) {
				let that = this;
				getProductCode(that.id).then(res => {
						uni.downloadFile({
							url: that.setDomain(res.data.code),
							success: function(res) {
								that.$set(that, 'isDown', false);
								if (typeof successFn == 'function') successFn && successFn(res
									.tempFilePath);
								else that.$set(that, 'PromotionCode', res.tempFilePath);
							},
							fail: function() {
								that.$set(that, 'isDown', false);
								that.$set(that, 'PromotionCode', '');
							}
						});
					})
					.catch(err => {
						that.$set(that, 'isDown', false);
						that.$set(that, 'PromotionCode', '');
					});
			},
			getImageBase64: function(type) {
				let that = this;
				imageBase64(that.storeImage, that.followCode)
					.then(res => {
						that.storeImage = res.data.image;
						if (type) {
							that.PromotionCode = res.data.code;
						}
						that.base64Show = 1;
					})
					.catch(() => {});
			},
			// 小程序关闭分享弹窗；
			// goFriend: function() {
			// 	this.posters = false;
			// },
			/**
			 * 生成海报
			 */
			goPoster: function() {
				let that = this;
				that.$set(that, 'canvasStatus', true);
				let arr2 = [that.posterbackgd, that.storeImage, that.PromotionCode];
				// #ifdef MP
				if (that.PromotionCode == '' && !that.isDown) {
					return that.$util.Tips({
						title: '小程序二维码需要发布正式版后才能获取到'
					}, function() {
						that.posters = false;
					});
				}
				if (that.isDown)
					return that.$util.Tips({
						title: '正在下载海报,请稍后再试！'
					}, function() {
						that.posters = false;
					});
				// #endif
				uni.getImageInfo({
					src: that.PromotionCode,
					fail: function(res) {
						// #ifdef H5 || APP-PLUS
						return that.$util.Tips({
							title: res.errMsg
						});
						// #endif
						// #ifdef MP
						return that.$util.Tips({
							title: '小程序二维码需要发布正式版后才能获取到'
						});
						// #endif
					},
					success() {
						if (arr2[2] == '') {
							//海报二维码不存在则从新下载
							that.downloadFilePromotionCode(function(msgPromotionCode) {
								arr2[2] = msgPromotionCode;
								if (arr2[2] == '')
									return that.$util.Tips({
										title: '海报二维码生成失败！'
									});
								that.$nextTick(function() {
									that.$util.PosterCanvas(that.fontColor, that.themeColor,
										that.siteName,
										arr2, that.storeInfo.store_name, that.storeInfo
										.price, that.storeInfo.ot_price,that.posterTitle,
										function(tempFilePath) {
											that.$set(that, 'posterImage', tempFilePath);
											that.$set(that, 'posterImageStatus', true);
											that.$set(that, 'canvasStatus', false);
											that.$set(that, 'actionSheetHidden', !that
												.actionSheetHidden);
										});
								})
							});
							// // #ifdef H5
							// that.$util.PosterCanvas(arr2, that.storeInfo.store_name, that.storeInfo.price, function(tempFilePath) {
							// 	that.$set(that, 'posterImage', tempFilePath);
							// 	that.$set(that, 'posterImageStatus', true);
							// 	that.$set(that, 'canvasStatus', false);
							// 	that.$set(that, 'actionSheetHidden', !that.actionSheetHidden);
							// });
							// // #endif
						} else {
							//生成推广海报 
							that.$nextTick(function() {
								that.$util.PosterCanvas(that.fontColor, that.themeColor, that.siteName,
									arr2, that
									.storeInfo.store_name, that.storeInfo.price, that
									.storeInfo.ot_price,that.posterTitle,
									function(tempFilePath) {
										that.$set(that, 'posterImage', tempFilePath);
										that.$set(that, 'posterImageStatus', true);
										that.$set(that, 'canvasStatus', false);
										that.$set(that, 'actionSheetHidden', !that
											.actionSheetHidden);
									});
							})
						}
					}
				});
			},

			/*
			 * 保存到手机相册
			 */
			// #ifdef MP
			copyCommand: function() {
				if (wx.navigateToMiniProgram) {
					wx.navigateToMiniProgram({
						appId: 'wxb036cafe2994d7d0',
						path: '/publish/ugc-publish/ugc-publish',
						extraData: {
							productInfo: {
								title: this.storeInfo.store_name,
								path: '/pages/goods_details/index?id=' + this.storeInfo.id,
								thumbUrl: this.storeInfo.image
							}
						}
					});
				}
			},
			savePosterPath: function() {
				let that = this;
				uni.getSetting({
					success(res) {
						if (!res.authSetting['scope.writePhotosAlbum']) {
							uni.authorize({
								scope: 'scope.writePhotosAlbum',
								success() {
									uni.saveImageToPhotosAlbum({
										filePath: that.posterImage,
										success: function(res) {
											that.posterImageClose();
											that.$util.Tips({
												title: '保存成功',
												icon: 'success'
											});
										},
										fail: function(res) {
											that.$util.Tips({
												title: '保存失败'
											});
										}
									});
								}
							});
						} else {
							uni.saveImageToPhotosAlbum({
								filePath: that.posterImage,
								success: function(res) {
									that.posterImageClose();
									that.$util.Tips({
										title: '保存成功',
										icon: 'success'
									});
								},
								fail: function(res) {
									that.$util.Tips({
										title: '保存失败'
									});
								}
							});
						}
					}
				});
			},
			// #endif
			//#ifdef APP-PLUS
			savePosterPath() {
				let that = this
				uni.saveImageToPhotosAlbum({
					filePath: that.posterImage,
					success: function(res) {
						that.posterImageClose();
						that.$util.Tips({
							title: '保存成功',
							icon: 'success'
						});
					},
					fail: function(res) {
						that.$util.Tips({
							title: '保存失败'
						});
					}
				});
			},
			// #endif


			//#ifdef H5
			ShareInfo() {
				let data = this.storeInfo;
				let href = location.href;
				if (this.$wechat.isWeixin()) {
					getUserInfo().then(res => {
						href = href.indexOf('?') === -1 ? href + '?spid=' + res.data.uid : href + '&spid=' +
							res.data.uid;

						let configAppMessage = {
							desc: data.store_info,
							title: data.store_name,
							link: href,
							imgUrl: data.image
						};
						this.$wechat
							.wechatEvevt(['updateAppMessageShareData', 'updateTimelineShareData',
								'onMenuShareAppMessage',
								'onMenuShareTimeline'
							], configAppMessage)
							.then(res => {})
							.catch(err => {});
					});
				}
			},
			//#endif
			tabCouponType: function(type) {
				this.$set(this.coupon, 'type', type);
				this.getCouponList(type);
			},
			goDiscounts() {
				uni.navigateTo({
					url: '/pages/goods_details/discountsGoodsList?id=' + this.id
				})
			},
		}
	};
</script>

<style lang="scss">
	/deep/uni-video {
		width: 100% !important;
	}

	/deep/video {
		width: 100% !important;
	}

	/deep/.userEvaluation .evaluateWtapper .evaluateItem {
		margin: 0 !important;
	}
	
	.product-con .wrapper.ons{
		margin: 0 !important;
		border-radius: 0;
		height: 100rpx;
		padding: 0 20rpx;
		background-size: 100% 100%;
		background-repeat: no-repeat;
	}
	.product-con .wrapper.ons .share .money{
		color: #fff !important;
	}
	
	.product-con .wrapper.ons .share .money .vip-money{
		color: #fff !important;
	}
	
	.product-con .wrapper.ons .share{
		padding-top: 0;
	}
	
	.product-con .wrapper .share .money .vip-money{
		display: inline-block;
	}
	
	.product-con .wrapper .share .money .icon{
		margin-left: 6rpx;
	}
	
	.product-con .wrapper .share .money .level{
		display: inline-block;
	}

	.product-con .wrapper .label .item {
		width: 210rpx;

		&~.item {
			margin-left: 18rpx;
		}

		&.sales {
			text-align: right;
		}

		&.stock {
			text-align: center;
		}
	}

	.product-con .wrapper .introduce .infor {
		width: 570rpx;
		padding-top: 30rpx;
	}

	.product-con .wrapper .introduce .iconfont {
		font-size: 37rpx;
		color: #515151;
		padding-top: 30rpx;
	}

	.discount .white .timeItem {
		font-size: 20rpx;
		color: #fff;
		position: absolute;
		top: -6rpx;
		right: 0rpx;
	}

	.discount .white /deep/.time .styleAll {
		padding: 0 6rpx;
		font-size: 22rpx;
		color: var(--view-theme);
		background-color: #fff;
		border-radius: 6rpx
	}

	.discount .white /deep/.time .red {
		color: #fff !important;
	}

	.discount {
		background-color: var(--view-theme);
		width: 100%;
		height: 148rpx;

		.white {
			background: url(../activity/static/discount.png) no-repeat;
			background-size: 100% 100%;
			width: 710rpx;
			height: 116rpx;
			color: var(--view-theme);
			font-size: 20rpx;
			padding: 6rpx 14rpx;
			position: relative;

			.icon-jinru3 {
				position: absolute;
				right: 10rpx;
				bottom: 18rpx;
				font-size: 22rpx;
				padding: 8rpx;
			}

			.right {
				margin-left: 40rpx;

				.num {
					font-size: 24rpx;
					margin-top: 2rpx;
				}
			}

			.y_money {
				margin: 0 40rpx;

				.num {
					font-size: 24rpx;
					margin-top: 2rpx;
				}
			}

			.left {
				min-width: 235rpx;

				.iconfont {
					font-size: 26rpx;
				}

				.money {
					font-size: 28rpx;
					font-weight: 600;
					margin-top: 5rpx;

					.num {
						font-size: 48rpx;
					}
				}
			}
		}
	}

	.presell_count {
		font-size: 26rpx;
		color: #999999;
		padding: 20rpx;

		.presell_time {
			margin: 8rpx 0 4rpx;

			.area_line {
				display: inline-block;
				margin: 0 6rpx;
			}
		}

		.icon-shijian1 {
			display: inline-block;
			margin-right: 4rpx;
			font-size: 28rpx;
		}
	}

	.store {
		background-color: #fff;
		margin: 20rpx 20rpx 0 20rpx;
		border-radius: 12rpx;

		.title {
			height: 80rpx;
			width: 100%;
			font-size: 28rpx;
			color: #333;
			padding: 0 20rpx;

			.icon-jinru2 {
				color: #7a7a7a;
				font-size: 28rpx;
			}
		}
	}

	.activity_pin {
		width: auto;
		height: 44rpx;
		line-height: 44rpx;
		// background: linear-gradient(90deg, rgba(233, 51, 35, 1) 0%, rgba(250, 101, 20, 1) 100%);
		background-color: var(--view-theme);
		opacity: 1;
		border-radius: 22rpx;
		padding: 0 15rpx;
		margin-left: 19rpx;
	}

	.activity_miao {
		width: auto;
		height: 44rpx;
		line-height: 44rpx;
		padding: 0 15rpx;
		// background: linear-gradient(90deg, rgba(250, 102, 24, 1) 0%, rgba(254, 161, 15, 1) 100%);
		background-color: var(--view-theme);
		opacity: 1;
		border-radius: 22rpx;
		margin-left: 19rpx;
	}

	.iconfonts {
		color: #fff !important;
		font-size: 28rpx;
	}

	.activity_title {
		font-size: 24rpx;
		color: #fff;
	}

	.activity_kan {
		width: auto;
		height: 44rpx;
		line-height: 44rpx;
		padding: 0 15rpx;
		// background: linear-gradient(90deg, rgba(254, 159, 15, 1) 0%, rgba(254, 178, 15, 1) 100%);
		background-color: var(--view-theme);
		opacity: 1;
		border-radius: 22rpx;
		margin-left: 19rpx;
	}

	.mask {
		z-index: 300 !important;
	}

	.head-bar {
		background: #fff;
	}

	.generate-posters {
		width: 100%;
		height: 318rpx;
		background-color: #fff;
		position: fixed;
		left: 0;
		bottom: 0;
		z-index: 388;
		transform: translate3d(0, 100%, 0);
		transition: all 0.3s cubic-bezier(0.25, 0.5, 0.5, 0.9);
		border-top: 1rpx solid #eee;
		border-radius: 20rpx 20rpx 0 0;

		.generateCon {
			height: 220rpx;
		}

		.generateClose {
			height: 98rpx;
			font-size: 24rpx;
			color: #333333;
			border-top: 1px solid #eee;
		}

		.item {
			.pictrue {
				width: 86rpx;
				height: 86rpx;
				border-radius: 50%;
				margin: 0 auto 12rpx auto;

				image {
					width: 100%;
					height: 100%;
					border-radius: 50%;
				}
			}
		}
	}

	.generate-posters.on {
		transform: translate3d(0, 0, 0);
	}

	.generate-posters .item {
		flex: 1;
		text-align: center;
		font-size: 24rpx;
	}

	.generate-posters .item .icon-pengyouquan {
		font-size: 104rpx;
		color: #5eae72;
	}

	.generate-posters .item .iconfont.icon-haibao {
		color: #5391f1;
	}

	.generate-posters .item .iconfont.icon-haowuquan1 {
		color: #ff954d;
	}

	.product-con .footer {
		padding: 0 20rpx 0 30rpx;
		position: fixed;
		bottom: 0;
		width: 100%;
		box-sizing: border-box;
		background-color: #fff;
		z-index: 277;
		border-top: 1px solid #f0f0f0;
		height: calc(100rpx+ constant(safe-area-inset-bottom)); ///兼容 IOS<11.2/
		height: calc(100rpx + env(safe-area-inset-bottom)); ///兼容 IOS>11.2/
		padding-bottom: constant(safe-area-inset-bottom); ///兼容 IOS<11.2/
		padding-bottom: env(safe-area-inset-bottom); ///兼容 IOS>11.2/
	}

	.product-con .footer .item {
		font-size: 18rpx;
		color: #666;
	}

	.product-con .footer .item .iconfont {
		text-align: center;
		font-size: 40rpx;
	}

	.product-con .footer .item .iconfont.icon-shoucang1 {
		color: var(--view-theme);
	}

	.product-con .footer .item .iconfont.icon-gouwuche1 {
		font-size: 40rpx;
		position: relative;
	}

	.product-con .footer .item .iconfont.icon-gouwuche1 .num {
		color: #fff;
		position: absolute;
		font-size: 18rpx;
		padding: 2rpx 10rpx 3rpx;
		border-radius: 200rpx;
		top: -10rpx;
		right: -10rpx;
	}

	.product-con .footer .bnt {
		width: 444rpx;
		height: 76rpx;
	}

	.product-con .footer .bnt .bnts {
		width: 222rpx;
		text-align: center;
		line-height: 76rpx;
		color: #fff;
		font-size: 28rpx;
	}

	.product-con .footer .bnt .joinCart {
		border-radius: 50rpx 0 0 50rpx;
		background-color: var(--view-bntColor);
		// background-image: linear-gradient(to right, #fea10f 0%, #fa8013 100%);
	}

	.product-con .footer .bnt .buy {
		border-radius: 0 50rpx 50rpx 0;
		background-color: var(--view-theme);
		// background-image: linear-gradient(to right, #fa6514 0%, #e93323 100%);
	}

	.product-con .footer .bnt.fictitious .bnts {
		width: 100%;
	}

	.product-con .footer .bnt.fictitious .buy {
		border-radius: 50rpx;
	}

	.product-con .store-info {
		margin-top: 20rpx;
		background-color: #fff;
	}

	.product-con .store-info .title {
		padding: 0 30rpx;
		font-size: 28rpx;
		color: #282828;
		height: 80rpx;
		line-height: 80rpx;
		border-bottom: 1px solid #f5f5f5;
	}

	.product-con .store-info .info {
		padding: 0 30rpx;
		height: 126rpx;
	}

	.product-con .store-info .info .picTxt {
		width: 615rpx;
	}

	.product-con .store-info .info .picTxt .pictrue {
		width: 76rpx;
		height: 76rpx;
	}

	.product-con .store-info .info .picTxt .pictrue image {
		width: 100%;
		height: 100%;
		border-radius: 6rpx;
	}

	.product-con .store-info .info .picTxt .text {
		width: 522rpx;
	}

	.product-con .store-info .info .picTxt .text .name {
		font-size: 30rpx;
		color: #282828;
	}

	.product-con .store-info .info .picTxt .text .address {
		font-size: 24rpx;
		color: #666;
		margin-top: 3rpx;
	}

	.product-con .store-info .info .picTxt .text .address .iconfont {
		color: #707070;
		font-size: 18rpx;
		margin-left: 10rpx;
	}

	.product-con .store-info .info .picTxt .text .address .addressTxt {
		max-width: 480rpx;
	}

	.product-con .store-info .info .iconfont {
		font-size: 40rpx;
	}

	.product-con .superior {
		background-color: #fff;
		padding-bottom: 10rpx;
		margin: 20rpx 20rpx 0 20rpx;
		border-radius: 12rpx;
	}

	.product-con .superior .title {
		height: 98rpx;
	}

	.product-con .superior .title .lingw {
		width: 23rpx;
		height: 23rpx;
		background-color: var(--view-minorColorT);
		transform: rotate(45deg);
	}

	.product-con .superior .title .lingn {
		width: 11rpx;
		height: 11rpx;
		background-color: var(--view-theme);
	}

	.product-con .superior .title image {
		width: 30rpx;
		height: 30rpx;
	}

	.product-con .superior .title .titleTxt {
		margin: 0 20rpx;
		font-size: 30rpx;
		color: var(--view-theme);
		// background-image: linear-gradient(to right, #f57a37 0%, #f21b07 100%);
		// -webkit-background-clip: text;
		// -webkit-text-fill-color: transparent;
	}

	.product-con .superior .slider-banner {
		width: 676rpx;
		margin: 0 auto;
		position: relative;
	}

	.product-con .superior .slider-banner swiper {
		height: 100%;
		width: 100%;
	}

	.product-con .superior .slider-banner swiper-item {
		height: 100%;
	}

	.product-con .superior .slider-banner .list {
		width: 100%;
	}

	.product-con .superior .slider-banner .list .item {
		width: 198rpx;
		margin: 0 38rpx 30rpx 0;
		font-size: 26rpx;
	}

	.product-con .superior .slider-banner .list .item:nth-of-type(3n) {
		margin-right: 0;
	}

	.product-con .superior .slider-banner .list .item .pictrue {
		position: relative;
		width: 100%;
		height: 198rpx;
		border-radius: 20rpx;
	}

	.product-con .superior .slider-banner .list .item .pictrue image {
		width: 100%;
		height: 100%;
		border-radius: 20rpx;
	}
	
	.product-con .superior .slider-banner .list .item .pictrue .activityFrame{
		border-radius: 20rpx;
	}

	.product-con .superior .slider-banner .list .item .name {
		color: #282828;
		margin-top: 12rpx;
	}

	.product-con .superior .slider-banner .swiper-pagination-bullet {
		background-color: #999;
	}

	.product-con .superior .slider-banner .swiper-pagination-bullet-active {
		background-color: #e93323;
	}

	button {
		padding: 0;
		margin: 0;
		line-height: normal;
		background-color: #fff;
	}

	button::after {
		border: 0;
	}

	action-sheet-item {
		padding: 0;
		height: 240rpx;
		align-items: center;
		display: flex;
	}

	.contact {
		font-size: 16px;
		width: 50%;
		background-color: #fff;
		padding: 8rpx 0;
		border-radius: 0;
		margin: 0;
		line-height: 2;
	}

	.contact::after {
		border: none;
	}

	.action-sheet {
		font-size: 17px;
		line-height: 1.8;
		width: 50%;
		position: absolute;
		top: 0;
		right: 0;
		padding: 25rpx 0;
	}

	.canvas {
		z-index: 300;
		width: 750px;
		height: 1300px;
		position: relative;
		bottom: -10000rpx;
	}

	.poster-pop {
		width: 460rpx;
		height: 800rpx;
		position: fixed;
		left: 50%;
		transform: translateX(-50%);
		z-index: 399;
		top: 50%;
		margin-top: -559rpx;
	}

	.poster-pop image {
		width: 100%;
		height: 100%;
		display: block;
		border-radius: 18rpx;
	}

	.poster-pop .close {
		width: 46rpx;
		height: 75rpx;
		position: fixed;
		right: 0;
		top: -73rpx;
		display: block;
	}

	.poster-pop .save-poster {
		background-color: #df2d0a;
		font-size: ：22rpx;
		color: #fff;
		text-align: center;
		height: 76rpx;
		line-height: 76rpx;
		width: 100%;
	}

	.poster-pop .keep {
		color: #fff;
		text-align: center;
		font-size: 25rpx;
		margin-top: 10rpx;
	}

	.mask {
		position: fixed;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: rgba(0, 0, 0, 0.6);
		z-index: 9;
	}

	.pro-wrapper .iconn {
		background-image: url('data:image/png;base64, ');
		width: 100rpx;
		height: 100rpx;
		background-repeat: no-repeat;
		background-size: 100% 100%;
		margin: 0 auto;
	}

	.pro-wrapper .iconn.iconn1 {
		background-image: url('data:image/png;base64, ');
	}

	.navbar .header {
		height: 96rpx;
		/* #ifdef MP */
		font-size: 28rpx;
		/* #endif */
		/* #ifndef MP */
		font-size: 30rpx;
		/* #endif */
		color: #050505;
		background-color: #fff;
		/* #ifdef APP-PLUS */
		width: 100%;
		/* #endif */
	}

	.home {
		/* #ifdef H5 */
		top: 20rpx !important;
		/* #endif */
	}

	.navbar .header .item {
		position: relative;
		/* #ifdef MP */
		margin: 0 20rpx;
		/* #endif */
		/* #ifndef MP */
		margin: 0 25rpx;
		/* #endif */
	}

	.navbar .header .item.on:before {
		position: absolute;
		width: 56rpx;
		height: 5rpx;
		background-repeat: no-repeat;
		content: '';
		// background-image: linear-gradient(to right, #ff3366 0%, #ff6533 100%);
		background-color: var(--view-theme);
		bottom: -10rpx;
		left: 50%;
		margin-left: -28rpx;
	}

	.navbar {
		position: fixed;
		background-color: #fff;
		top: 0;
		left: 0;
		z-index: 99;
		width: 100%;
	}

	.navbar .navbarH {
		position: relative;
	}

	.navbar .navbarH .navbarCon {
		position: absolute;
		bottom: 0;
		height: 100rpx;
		width: 100%;
		/* #ifndef APP-PLUS || H5 || MP-ALIPAY */
		// justify-content: flex-end;
		padding-left: 126rpx;
		/* #endif */
	}

	.home {
		color: #333;
		position: fixed;
		/* #ifdef MP */
		width: 150rpx;
		left: 15rpx;
		height: 58rpx;
		/* #endif */
		/* #ifndef MP */
		height: 56rpx;
		width: 56rpx;
		left: 33rpx;
		/* #endif */
		z-index: 99;
		background: rgba(255, 255, 255, 0.3);
		border: 0.5px solid rgba(0, 0, 0, 0.1);
		border-radius: 40rpx;
		font-size: 33rpx;

		&.right {
			right: 33rpx;
			left: unset
		}

		&.on {
			background: unset;
			color: #333;
		}

		&.homeIndex {
			/* #ifdef MP */
			width: 98rpx;
			/* #endif */
			/* #ifndef MP */
			border-color: rgba(255, 255, 255, 0);
			/* #endif */
		}
	}

	.home .iconfont {
		width: 66rpx;
		text-align: center;
		font-size: 30rpx;
		color: #000;
	}

	.home .line {
		width: 1rpx;
		height: 34rpx;
		background: rgba(0, 0, 0, 0.1);
	}

	.home .icon-xiangzuo {
		font-size: 28rpx;
	}

	.share-box {
		z-index: 1000;
		position: fixed;
		left: 0;
		top: 0;
		width: 100%;
		height: 100%;

		image {
			width: 100%;
			height: 100%;
		}
	}

	.product-con .conter {
		display: block;
		padding-bottom: 100rpx;
	}

	.product-con .conter img {
		display: block;
	}

	.svipCon {
		height: 64rpx;
		padding: 0 26rpx 0 60rpx;
		margin: 8rpx 20rpx 0;
		background: url('data:image/png;base64, ') center/100% 100% no-repeat;
		font-size: 24rpx;
		color: #ae5a2a;
	}

	.svipCon .iconfont {
		margin-left: 12rpx;
		font-size: 24rpx;
	}

	.product-con .wrapper .share .money image {
		width: 56rpx;
		height: 20rpx;
	}
</style>
